#include "uart_tx.h"
#include "uart.h"
#include <avr/io.h>
#include <avr/interrupt.h>

void __attribute__ ((naked)) __attribute__ ((section (".init6"))) uart_tx_init() {
  UCSRB |= (1<<TXEN);
}

void uart_putc(unsigned char c) {
        while( ( UCSRA & ( 1 << UDRE ) ) == 0 ) {}
        UDR = c;
}
