#include "uart_rx_async.h"
#include "uart.h"
#include <avr/io.h>
#include <avr/interrupt.h>

void __attribute__ ((naked)) __attribute__ ((section (".init6"))) uart_rx_init() {
  UCSRB |= (1<<RXEN) | (1<<RXCIE);
}


void __attribute__ ((naked)) __attribute__ ((section (".init8"))) uart_rx_sei() {
  sei();
}

ISR(USART_RX_vect) {
  uart_process(UDR);
}
